"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request_1 = require("./request");
class YanPredictor {
    constructor(apiKey) {
        this.host = 'predictor.yandex.net';
        this.agent = false;
        this.apiVerion = '/api/v1/predict.json';
        this.apiKey = apiKey;
    }
    languages() {
        return request_1.default({
            host: this.host,
            method: 'GET',
            agent: this.agent,
            path: `${this.apiVerion}/getLangs?key=${this.apiKey}`
        });
    }
    predict({ lang = 'ru', limit = 1, query = '', }) {
        return request_1.default({
            host: this.host,
            method: 'GET',
            agent: this.agent,
            path: `${this.apiVerion}/complete?key=${this.apiKey}&lang=${lang}&q=${encodeURI(query)}&limit=${limit}`
        });
    }
}
exports.default = YanPredictor;
