"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const https = require("https");
function default_1(options) {
    return new Promise((resolve, reject) => {
        https
            .request(options)
            .on('error', onError)
            .on('response', onResponse)
            .end();
        function onError(error) {
            return reject(error);
        }
        function onResponse(response) {
            let data = '';
            response
                .on('error', onError)
                .on('data', onData)
                .on('end', onEnd);
            function onError(error) {
                return reject(error);
            }
            function onData(chunk) {
                data += chunk;
            }
            function onEnd() {
                try {
                    if (response.statusCode === 200) {
                        resolve(JSON.parse(data.toString()));
                    }
                    else {
                        reject({ error: { message: 'Server Error', code: response.statusCode } });
                    }
                }
                catch (error) {
                    return reject(error);
                }
            }
        }
    });
}
exports.default = default_1;
